'/*
'** $Id: lualib.h,v 1.36 2005/12/27 17:12:00 roberto Exp $
'** Lua standard libraries
'** See Copyright Notice in lua.h
'*/

 ' The state initialization procedure changed between Lua 5.0 and Lua 5.1. It is now
 ' necessary to lua_call the various luaopen_* functions. Previously, these were simply
 ' called with a normal C call, but doing so now will cause a crash or an error
 ' during the initialization of the io library.

#IF NOT %DEF(%LUALIB_INC)
    %LUALIB_INC = 1

#INCLUDE ONCE "lua.inc"

'/* Key to file-handle type */
$LUA_FILEHANDLE = "FILE*"

$LUA_COLIBNAME = "coroutine"
DECLARE FUNCTION luaopen_base LIB "LUA5.1.DLL" ALIAS "luaopen_base" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

$LUA_TABLIBNAME = "table"
DECLARE FUNCTION luaopen_table LIB "LUA5.1.DLL" ALIAS "luaopen_table" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

$LUA_IOLIBNAME   = "io"
DECLARE FUNCTION luaopen_io LIB "LUA5.1.DLL" ALIAS "luaopen_io" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

$LUA_OSLIBNAME   = "os"
DECLARE FUNCTION luaopen_os LIB "LUA5.1.DLL" ALIAS "luaopen_os" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

$LUA_STRLIBNAME   = "string"
DECLARE FUNCTION luaopen_string LIB "LUA5.1.DLL" ALIAS "luaopen_string" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

$LUA_MATHLIBNAME   = "math"
DECLARE FUNCTION luaopen_math LIB "LUA5.1.DLL" ALIAS "luaopen_math" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

$LUA_DBLIBNAME   = "debug"
DECLARE FUNCTION luaopen_debug LIB "LUA5.1.DLL" ALIAS "luaopen_debug" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

$LUA_LOADLIBNAME   = "package"
DECLARE FUNCTION luaopen_package LIB "LUA5.1.DLL" ALIAS "luaopen_package" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int

DECLARE FUNCTION luaL_openlibs LIB "LUA5.1.DLL" ALIAS "luaL_openlibs" ( _
   BYVAL DWORD _                       ' lua_State *L
 ) AS LONG                             ' int


'#ifndef lua_assert
'#define lua_assert(x)   ((void)0)
'#endif

#ENDIF
